%define upstream_name	 IP-Country
%define upstream_version 2.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Fast lookup of country codes from IP addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Geography::Countries)
BuildArch:  noarch

%description
IP lookup modules for Perl. This package also provides the ip2cc utility, to
lookup country from IP address or hostname.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES INSTALL META.yml MYMETA.yml README
%{perl_vendorlib}/IP
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.280.0-9.mga9
+ Revision: 1804146
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.280.0-8.mga8
+ Revision: 1495187
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.280.0-7.mga7
+ Revision: 1268841
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.280.0-6.mga6
+ Revision: 1028798
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 2.280.0-5.mga6
+ Revision: 934215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.280.0-4.mga5
+ Revision: 741054
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.280.0-3.mga5
+ Revision: 685094
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.280.0-2.mga4
+ Revision: 527071
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.280.0-1.mga4
+ Revision: 439431
- update to 2.28

* Sun Jan 13 2013 umeabot <umeabot> 2.270.0-2.mga3
+ Revision: 368632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 ennael <ennael> 2.270.0-1.mga1
+ Revision: 33059
- remove mdkversion
+ jquelin <jquelin>
- imported package perl-IP-Country

